Email Queue List
List durable email queue records for this installation. Shows pending, failed and sent deliveries with attempt history for diagnostics.
List durable email queue records for this installation. Shows pending, failed and sent deliveries with attempt history for diagnostics.
/admin/email-queueIn: cookie
Query Parameters
Pagination query parameters.
Search query string.
0 <= lengthEmail queue status filter query
Email queue time range query
iso8601-intervalResponse Body
application/json
application/json
curl -X GET "https://loading/api/admin/email-queue"{
"page_size": 0,
"results": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 0,
"emails": [
{
"id": "cc5lnd2s1s4652adtu50",
"queued_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"processed_at": "2019-08-24T14:15:22Z",
"status": "pending",
"recipient_address": "user@example.com",
"recipient_name": "string",
"subject": "string",
"attempts": [
{
"timestamp": "2019-08-24T14:15:22Z",
"status": "sent",
"error": "string"
}
]
}
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Audit Event List GET
List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.
Email Queue Retry POST
Manually retry a delivery for an email queue record. This is used for failed deliveries. This will create a new delivery attempt and update the email queue record accordingly.